## additional file for table 2

## count positive/negative/unclear effects of different theoretical arguments on compliance
## save results for ALL studies
## save results for QUALITAITIVE studies
## save results for QUALITAITIVE studies


## data contains info about all studies
## data_qualitative contains info about qualitative studies
## data_quantitative contains info about qualitative studies


## ALL STUDIES TOGETHER

# Create counts of positive effects on compliance for each theoretical category and save them in separate objects
idmc<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="Institutional decision-making capacity"]))
good_fit<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="Good fit"]))
preferences<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="Preferences"]))
efficiency<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="Administrative efficiency"]))
enforcement<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="National monitoring and enforcement" | data$ivtheoryneu=="Supranational monitoring and enforcement" ]))
n_enforcement<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="National monitoring and enforcement"]))
s_enforcement<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="Supranational monitoring and enforcement" ]))
complexity<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="Low complexity of EU laws"]))
culture<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="Favourable culture"]))
coordination<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="Interministerial coordination problems"]))
power<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="Power (EU)"]))
learning<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="Learning"]))
public_support<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="Positive public support"]))
noc<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="No appropriate category"]))
control<-data.frame(table(data$theoryeffect[data$ivtheoryneu=="Control variable"]))
total<-data.frame(table(data$theoryeffect))


# create an object with effect labels: negative, positive, unclear
effect<-idmc[,1]

# save counts of positive effects per theoretical argument
dv_total_final<-data.frame(
effect,
idmc[,2], 
good_fit[,2],
preferences[,2],
efficiency[,2], 
complexity[,2], 
culture[,2], 
coordination[,2],
n_enforcement[,2], 
s_enforcement[,2], 
power[,2], 
public_support[,2],
learning[,2],
control[,2],
noc[,2], 
total[,2] 
)


## QUALITATIVE STUDIES

## count effects on compliance for each theoretical category 
idmc<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="Institutional decision-making capacity"]))
good_fit<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="Good fit"]))
preferences<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="Preferences"]))
efficiency<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="Administrative efficiency"]))
enforcement<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="National monitoring and enforcement" | data_qualitative$ivtheoryneu=="Supranational monitoring and enforcement" ]))
n_enforcement<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="National monitoring and enforcement"]))
s_enforcement<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="Supranational monitoring and enforcement" ]))
complexity<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="Low complexity of EU laws"]))
culture<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="Favourable culture"]))
coordination<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="Interministerial coordination problems"]))
power<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="Power (EU)"]))
learning<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="Learning"]))
public_support<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="Positive public support"]))
noc<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="No appropriate category"]))
control<-data.frame(table(data_qualitative$theoryeffect[data_qualitative$ivtheoryneu=="Control variable"]))
total<-data.frame(table(data_qualitative$theoryeffect))


# save counts of positive effects per theoretical argument in a dataframe
dv_qualitative_final<-data.frame(
effect,
idmc[,2],
good_fit[,2],
preferences[,2],
efficiency[,2], 
complexity[,2],
culture[,2],
coordination[,2],
n_enforcement[,2],  
s_enforcement[,2], 
power[,2],
public_support[,2],
learning[,2],
control[,2],
noc[,2],
total[,2]
)



## QUANTITATIVE STUDIES


## count effects on compliance for each theoretical category 
idmc<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="Institutional decision-making capacity"]))
good_fit<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="Good fit"]))
preferences<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="Preferences"]))
efficiency<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="Administrative efficiency"]))
enforcement<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="National monitoring and enforcement" | data_quantitative$ivtheoryneu=="Supranational monitoring and enforcement" ]))
n_enforcement<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="National monitoring and enforcement"]))
s_enforcement<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="Supranational monitoring and enforcement" ]))
complexity<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="Low complexity of EU laws"]))
culture<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="Favourable culture"]))
coordination<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="Interministerial coordination problems"]))
power<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="Power (EU)"]))
learning<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="Learning"]))
public_support<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="Positive public support"]))
noc<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="No appropriate category"]))
control<-data.frame(table(data_quantitative$theoryeffect[data_quantitative$ivtheoryneu=="Control variable"]))
total<-data.frame(table(data_quantitative$theoryeffect))


# save counts of positive effects per theoretical argument in a dataframe

dv_quantitative_final<-data.frame(
effect,
idmc[,2],
good_fit[,2],
preferences[,2],
efficiency[,2], 
complexity[,2],
culture[,2],
coordination[,2],
n_enforcement[,2], 
s_enforcement[,2], 
power[,2],
public_support[,2],
learning[,2],
control[,2],
noc[,2],
total[,2]
)













