## Plot FIGURE 3.2 - Government ratings
## before running this script run sript: 2_main_analyses.R



		pdf(file="./graphs/figure3.2_gov.r.pdf", bg="transparent",width=8, height=6.5)

		par(mfrow=c(2,3))		
		par(oma=c(2,2,2,2))
		par(mar=c(5,4,5,1))

##-------------------------------
## Government RAtings - ECON
##-------------------------------

## Gov Ratings -  Predicted RAtings; ECON 

	plot(y=c(0,10), x=c(1,4), type="n", xlab="Economic Decline", ylab="Predicted Gov Ratings", las=1, main=" ", cex.main=1, cex.lab=1.2) 

			lines(x= econ.d,y=apply(cl_gov.r_econ,2, mean), lwd=2, col="gray")
			lines(x= econ.d,y=apply(cl_gov.r_econ,2, quantile,prob=0.025), lwd=1, col="gray", lty=2)
			lines(x= econ.d,y=apply(cl_gov.r_econ,2, quantile,prob=0.975), lwd=1, col="gray", lty=2)
			

			lines(x= econ.d,y=apply(ch_gov.r_econ,2, mean), lwd=2, col="black")
			lines(x= econ.d,y=apply(ch_gov.r_econ,2, quantile,prob=0.025), lwd=1, col="black", lty=2)
			lines(x= econ.d,y=apply(ch_gov.r_econ,2, quantile,prob=0.975), lwd=1, col="black", lty=2)
			
			legend(1.8,10,col=c("black","gray"), lwd=c(2,2), legend=c("High Conflict","Low Conflict"), cex=0.7)
				title("Predicted Gov Ratings\n Gov Supporters", line=0.5, cex.main=1)

			

## Gov Ratings, ME - Gov, ECON

plot(y=c(-4,+2), x=c(c.low,c.hi), type="n", xlab="Coalition Conflict", ylab="Effect on Gov Ratings", las=1, main="", cex.main=1, cex.lab=1.2) 

			lines(x= gov.c,y=apply(me_gov_gov.r_econ,2, mean), lwd=2, col="black")
			lines(x= gov.c,y=apply(me_gov_gov.r_econ,2, quantile,prob=0.025), lwd=1, col="black", lty=2)
			lines(x= gov.c,y=apply(me_gov_gov.r_econ,2, quantile,prob=0.975), lwd=1, col="black", lty=2)
						abline(h=0, col="red")
				title("Effect of Economic Decline\n Gov Supporters", line=0.5, cex.main=1)
				mtext(text="Impact of Economic Decline on Gov Ratings", side=3, line=3.5, outer=F)
				mtext(text="Impact of Policy Dissatisfaction (20 Policy Areas) on Gov Ratings", side=1, line=5.5, outer=F)







## Gov Ratings, ME - Opp, ECON


plot(y=c(-4,+2), x=c(c.low,c.hi), type="n", xlab="Coalition Conflict", ylab="Effect on Gov Ratings", las=1, main="", cex.main=1, cex.lab=1.2) 

			lines(x= gov.c,y=apply(me_opp_gov.r_econ,2, mean), lwd=2, col="gray")
			lines(x= gov.c,y=apply(me_opp_gov.r_econ,2, quantile,prob=0.025), lwd=1, col="gray", lty=2)
			lines(x= gov.c,y=apply(me_opp_gov.r_econ,2, quantile,prob=0.975), lwd=1, col="gray", lty=2)
						abline(h=0, col="red")

				title("Effect of Economic Decline \n Opp Supporters", line=0.5, cex.main=1)



##-------------------------------
## Government Ratings - PA20
##-------------------------------

## Gov Ratings- Predicted Ratings; PA20



	plot(y=c(0,10), x=c(0,2), type="n", xlab="Policy Dissatisfaction (20 Areas)", ylab="Predicted Gov Ratings", las=1, main="", cex.main=1, cex.lab=1.2) 

			lines(x= pa20,y=apply(cl_gov.r_pa20,2, mean), lwd=2, col="gray")
			lines(x= pa20,y=apply(cl_gov.r_pa20,2, quantile,prob=0.025), lwd=1, col="gray", lty=2)
			lines(x= pa20,y=apply(cl_gov.r_pa20,2, quantile,prob=0.975), lwd=1, col="gray", lty=2)
			

			lines(x= pa20,y=apply(ch_gov.r_pa20,2, mean), lwd=2, col="black")
			lines(x= pa20,y=apply(ch_gov.r_pa20,2, quantile,prob=0.025), lwd=1, col="black", lty=2)
			lines(x= pa20,y=apply(ch_gov.r_pa20,2, quantile,prob=0.975), lwd=1, col="black", lty=2)
			
			legend(0.5,10,col=c("black","gray"), lwd=c(2,2), legend=c("High Conflict","Low Conflict"), cex=0.7)
				title("Predicted Gov Ratings\n Gov Supporters", line=0.5, cex.main=1)



## Gov Ratings, ME - Gov, PA20

plot(y=c(-4,+2), x=c(c.low,c.hi), type="n", xlab="Coalition Conflict", ylab="Effect on Gov Ratings", las=1, main="", cex.main=1, cex.lab=1.2) 

			lines(x= gov.c,y=apply(me_gov_gov.r_pa20,2, mean), lwd=2, col="black")
			lines(x= gov.c,y=apply(me_gov_gov.r_pa20,2, quantile,prob=0.025), lwd=1, col="black", lty=2)
			lines(x= gov.c,y=apply(me_gov_gov.r_pa20,2, quantile,prob=0.975), lwd=1, col="black", lty=2)
						abline(h=0, col="red")
				title("Effect of Policy Dissatisfaction\n Gov Supporters", line=0.5, cex.main=1)




## Gov Ratings, ME - Opp, PA20


plot(y=c(-4,+2), x=c(c.low,c.hi), type="n", xlab="Coalition Conflict", ylab="Effecg on Gov Ratings", las=1, main="", cex.main=1, cex.lab=1.2) 

			lines(x= gov.c,y=apply(me_opp_gov.r_pa20,2, mean), lwd=2, col="gray")
			lines(x= gov.c,y=apply(me_opp_gov.r_pa20,2, quantile,prob=0.025), lwd=1, col="gray", lty=2)
			lines(x= gov.c,y=apply(me_opp_gov.r_pa20,2, quantile,prob=0.975), lwd=1, col="gray", lty=2)
						abline(h=0, col="red")

				title("Effect of Policy Dissatisfaction\n Opp Supporters", line=0.5, cex.main=1)



dev.off()
